Skip to main content
`Ctrl`+`K`

# solar_system_ephemeris

class astropy.coordinates.solar_system_ephemeris

  Bases: `ScienceState`

  Default ephemerides for calculating positions of Solar-System bodies.

  This can be one of the following:

  - ‘builtin’: polynomial approximations to the orbital elements.

  - ‘dexxx[s]’, for a JPL dynamical model, where xxx is the three digit version number (e.g. de430), and the ‘s’ is optional to specify the ‘small’ version of a kernel. The version number must correspond to an ephemeris file available at: https://naif.jpl.nasa.gov/pub/naif/generic_kernels/spk/planets/

  - ‘jpl’: Alias for the default JPL ephemeris (currently, ‘de430’).

  - URL: (str) The url to a SPK ephemeris in SPICE binary (.bsp) format.

  - PATH: (str) File path to a SPK ephemeris in SPICE binary (.bsp) format.

  - `None`: Ensure an Exception is raised without an explicit ephemeris.

  The default is ‘builtin’, which uses the `epv00` and `plan94` routines from the `erfa` implementation of the Standards Of Fundamental Astronomy library.

  Notes

  Any file required will be downloaded (and cached) when the state is set. The default Satellite Planet Kernel (SPK) file from NASA JPL (de430) is ~120MB, and covers years ~1550-2650 CE [1]. The smaller de432s file is ~10MB, and covers years 1950-2050 [2] (and similarly for the newer de440 and de440s). Older versions of the JPL ephemerides (such as the widely used de200) can be used via their URL [3].

  [1]

  https://naif.jpl.nasa.gov/pub/naif/generic_kernels/spk/planets/aareadme_de430-de431.txt

  [2]

  https://naif.jpl.nasa.gov/pub/naif/generic_kernels/spk/planets/aareadme_de432s.txt

  [3]

  https://naif.jpl.nasa.gov/pub/naif/generic_kernels/spk/planets/a_old_versions/

  Attributes Summary

  `bodies` |
  `kernel` |

  Methods Summary

  `get_kernel`(value) |
  `validate`(value) | Validate the value and convert it to its native type, if necessary.

  Attributes Documentation

  bodies
  kernel

  Methods Documentation

  classmethod get_kernel(value)
  classmethod validate(value)

    Validate the value and convert it to its native type, if necessary.